.TH "pyspottedunipd.analysis.cli" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.analysis.cli \- 
.SH SYNOPSIS
.br
.PP
.SS "Functions"

.in +1c
.ti -1c
.RI "def \fBcreate_args\fP ()"
.br
.ti -1c
.RI "def \fBparse_args\fP (parser)"
.br
.ti -1c
.RI "def \fBcheck_args\fP (path_in)"
.br
.ti -1c
.RI "def \fBadd_time_msg_stats\fP (path_in)"
.br
.ti -1c
.RI "def \fBml_analyze\fP (path_in)"
.br
.ti -1c
.RI "def \fBtime_analyze\fP (path_in)"
.br
.ti -1c
.RI "def \fBmain\fP ()"
.br
.in -1c
.SH "Function Documentation"
.PP 
.SS "def pyspottedunipd\&.analysis\&.cli\&.add_time_msg_stats ( path_in)"

.PP
.nf
:param path_in: str
    File to use as input
:return: void
    Extract time and message statistical features from data (in input file) and saves new data in in new file

.fi
.PP
 
.PP
Definition at line 62 of file cli\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.cli\&.check_args ( path_in)"

.PP
.nf
:param path_in: str
    File to use as input
:return: bool
    True iff args are correct

.fi
.PP
 
.PP
Definition at line 50 of file cli\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.cli\&.create_args ()"

.PP
.nf
:return: ArgumentParser
    Parser that handles cmd arguments.

.fi
.PP
 
.PP
Definition at line 26 of file cli\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.cli\&.main ()"

.PP
Definition at line 111 of file cli\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.cli\&.ml_analyze ( path_in)"

.PP
.nf
:param path_in: str
    File to use as input
:return: void
    Carries out sample machine learning analytics

.fi
.PP
 
.PP
Definition at line 78 of file cli\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.cli\&.parse_args ( parser)"

.PP
.nf
:param parser: ArgumentParser
    Object that holds cmd arguments.
:return: tuple
    Values of arguments.

.fi
.PP
 
.PP
Definition at line 37 of file cli\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.cli\&.time_analyze ( path_in)"

.PP
.nf
:param path_in: str
    File to use as input
:return: void
    Carries out sample timing analytics

.fi
.PP
 
.PP
Definition at line 98 of file cli\&.py\&.
.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
